Include addresses

You can include address information when submitting entity verifications. Addresses are stored as plain strings with a maximum length of 200 characters.


Available address fields

The addresses object supports the following fields:

FieldTypeRequiredDescription
registeredAddressstringVariesOfficial registered address of the entity.
principalPlaceOfBusinessstringVariesMain place of business operations.
otherstringNoAny other relevant address.

Required addresses

Some entity types have required addresses. For example, an association requires a registeredAddress. If you submit a verification without the required address, you'll receive a validation error.

Validation error

{
  "timestamp": "2026-01-30T02:22:55.569Z",
  "serviceUid": "5qA5Hq0n1JQTY2TASItxYXSRyND3",
  "trace": "dxyvC4MjbmgCxOnDdt7pY",
  "path": "/v5/verifications",
  "statusCode": 422,
  "message": "Validation error",
  "help": null,
  "status": "error",
  "data": null,
  "error": {
    "type": "validation_error",
    "details": [
      {
        "message": "Invalid input: expected string, received undefined",
        "code": "invalid_type",
        "path": ["addresses", "registeredAddress"]
      }
    ]
  }
}

POST/v5/verifications

Example: Australian association

In this example, we will create a verification for an Australian incorporated association. The registeredAddress field is required for associations.

Request body

  • Name
    country
    Type
    string
    Description

    ISO3 Country code of the entity

  • Name
    type
    Type
    string
    Description

    Entity type

  • Name
    subType
    Type
    string
    Description

    Entity sub-type

  • Name
    name
    Type
    string
    Description

    Entity name

  • Name
    industry
    Type
    string
    Description

    Industry description

  • Name
    website
    Type
    string
    Description

    Entity website URL

  • Name
    inputRisk
    Type
    string
    Description

    IDV Risk level of the entity

  • Name
    identifiers
    Type
    object
    Description

    Entity identifiers (ABN required for Australian associations)

  • Name
    addresses
    Type
    object
    Description

    Entity addresses (registeredAddress required for associations)

  • Name
    documents
    Type
    array
    Description

    Array of document objects

  • Name
    stakeholders
    Type
    array
    Description

    Array of stakeholder objects

Request

POST
/v5/verifications
curl https://dev.bronid.com/v5/verifications \
  --user "XL7ULiU6B4QE9Y2iWFZnhtMDKFN2:api_sec_NJAtNcRtUrPlf7xYDrMNP9URI-ZfN314" \
  --header "Content-Type: application/json" \
  --data '{
      "country": "AUS",
      "type": "association",
      "subType": "incorporatedAssociation",
      "name": "My Association Inc",
      "industry": "Community Services",
      "website": "https://myassociation.org.au",
      "inputRisk": "low",
      "identifiers": {
        "abn": "12345678901"
      },
      "addresses": {
        "registeredAddress": "Level 5, 100 Collins St, Melbourne VIC 3000"
      },
      "documents": [],
      "stakeholders": []
  }'

Response

{
  "timestamp": "2026-01-30T02:25:42.101Z",
  "serviceUid": "XL7ULiU6B4QE9Y2iWFZnhtMDKFN2",
  "trace": "_mycHhuXA8vDMTgbCsqJf",
  "path": "/v5/verifications",
  "pathParams": {},
  "statusCode": 200,
  "message": "Verification created successfully",
  "help": null,
  "status": "success",
  "data": null,
  "error": null
}

What's next?

Now that you know how to include addresses, you can explore including documents and stakeholders in your verification requests.

Was this page helpful?